/**
 * Configuration for the Datasheet Editor workflow.
 */

var host = window.location.protocol + '//' + window.location.hostname;

// The DARIAH-DE OwnStorage enpoint.
//var storageURL = 'https://geobrowser.de.dariah.eu/storage/';
var storageURL = 'https://cdstar.de.dariah.eu/test/dariah/';
// The DARIAH-DE PDP URL.
var pdpURL = 'https://pdpdev.de.dariah.eu/oauth2/oauth2/authorize?response_type=token&client_id=dariah-de-publikator&scope=read,write&redirect_uri=';
// The DARIAH-DE TGNQuery enpoint.
var tgnURL = 'https://ref.de.dariah.eu/tgn/v1/exact-match';
// The URL for e4d browser (deprecated?)
var e4dURL = host + '/';

// Some prefixes.
var logIDPrefix = 'DATASHEET_';
var bearerPrefix = 'bearer ';

// All the possible headers (for new sheets).
var e4dHeader = ["Name", "Address", "Description", "Longitude", "Latitude", "TimeStamp", "TimeSpan:begin", "TimeSpan:end", "GettyID"];
// Column headers which need to be there.
var requiredColumns = ["Address", "TimeStamp", "TimeSpan:begin", "TimeSpan:end"];
// Column headers which can be added automatically.
var addableColumns = ["GettyID", "Longitude", "Latitude"]; // columns which may be added automatically
// Mimetypes which pass check to get parsed into table.
var allowedMimeTypes = ["text/csv", "application/vnd.ms-excel", "text/comma-separated-values"]
